Classify
Create Classify Job
client.Classify.New(ctx, params) (*ClassifyNewResponse, error)
POST/api/v2/classify
List Classify Jobs
client.Classify.List(ctx, query) (*PaginatedCursor[ClassifyListResponse], error)
GET/api/v2/classify
Get Classify Job
client.Classify.Get(ctx, jobID, query) (*ClassifyGetResponse, error)
GET/api/v2/classify/{job_id}
ModelsExpand Collapse
type ClassifyCreateRequest struct{…}
type ClassifyCreateRequest struct{…}
Request to create a classify job.
TransactionID stringOptional
TransactionID stringOptional
Idempotency key scoped to the project. Reusing a key returns the original job; the new request body is ignored.
maxLength255
WebhookConfigurations []ClassifyCreateRequestWebhookConfigurationOptional
WebhookConfigurations []ClassifyCreateRequestWebhookConfigurationOptional
Outbound webhook endpoints to notify on job status changes
WebhookEvents []stringOptional
WebhookEvents []stringOptional
Events to subscribe to (e.g. ‘parse.success’, ‘extract.error’). If null, all events are delivered.
One of the following:
const ClassifyCreateRequestWebhookConfigurationWebhookEventClassifyCancelled ClassifyCreateRequestWebhookConfigurationWebhookEvent = "classify.cancelled"
const ClassifyCreateRequestWebhookConfigurationWebhookEventClassifyError ClassifyCreateRequestWebhookConfigurationWebhookEvent = "classify.error"
const ClassifyCreateRequestWebhookConfigurationWebhookEventClassifyPartialSuccess ClassifyCreateRequestWebhookConfigurationWebhookEvent = "classify.partial_success"
const ClassifyCreateRequestWebhookConfigurationWebhookEventClassifyPending ClassifyCreateRequestWebhookConfigurationWebhookEvent = "classify.pending"
const ClassifyCreateRequestWebhookConfigurationWebhookEventClassifyRunning ClassifyCreateRequestWebhookConfigurationWebhookEvent = "classify.running"
const ClassifyCreateRequestWebhookConfigurationWebhookEventClassifySuccess ClassifyCreateRequestWebhookConfigurationWebhookEvent = "classify.success"
const ClassifyCreateRequestWebhookConfigurationWebhookEventExtractCancelled ClassifyCreateRequestWebhookConfigurationWebhookEvent = "extract.cancelled"
const ClassifyCreateRequestWebhookConfigurationWebhookEventExtractError ClassifyCreateRequestWebhookConfigurationWebhookEvent = "extract.error"
const ClassifyCreateRequestWebhookConfigurationWebhookEventExtractPartialSuccess ClassifyCreateRequestWebhookConfigurationWebhookEvent = "extract.partial_success"
const ClassifyCreateRequestWebhookConfigurationWebhookEventExtractPending ClassifyCreateRequestWebhookConfigurationWebhookEvent = "extract.pending"
const ClassifyCreateRequestWebhookConfigurationWebhookEventExtractSuccess ClassifyCreateRequestWebhookConfigurationWebhookEvent = "extract.success"
const ClassifyCreateRequestWebhookConfigurationWebhookEventParseCancelled ClassifyCreateRequestWebhookConfigurationWebhookEvent = "parse.cancelled"
const ClassifyCreateRequestWebhookConfigurationWebhookEventParseError ClassifyCreateRequestWebhookConfigurationWebhookEvent = "parse.error"
const ClassifyCreateRequestWebhookConfigurationWebhookEventParsePartialSuccess ClassifyCreateRequestWebhookConfigurationWebhookEvent = "parse.partial_success"
const ClassifyCreateRequestWebhookConfigurationWebhookEventParsePending ClassifyCreateRequestWebhookConfigurationWebhookEvent = "parse.pending"
const ClassifyCreateRequestWebhookConfigurationWebhookEventParseRunning ClassifyCreateRequestWebhookConfigurationWebhookEvent = "parse.running"
const ClassifyCreateRequestWebhookConfigurationWebhookEventParseSuccess ClassifyCreateRequestWebhookConfigurationWebhookEvent = "parse.success"
const ClassifyCreateRequestWebhookConfigurationWebhookEventSheetsCancelled ClassifyCreateRequestWebhookConfigurationWebhookEvent = "sheets.cancelled"
const ClassifyCreateRequestWebhookConfigurationWebhookEventSheetsError ClassifyCreateRequestWebhookConfigurationWebhookEvent = "sheets.error"
const ClassifyCreateRequestWebhookConfigurationWebhookEventSheetsPartialSuccess ClassifyCreateRequestWebhookConfigurationWebhookEvent = "sheets.partial_success"
const ClassifyCreateRequestWebhookConfigurationWebhookEventSheetsPending ClassifyCreateRequestWebhookConfigurationWebhookEvent = "sheets.pending"
const ClassifyCreateRequestWebhookConfigurationWebhookEventSheetsSuccess ClassifyCreateRequestWebhookConfigurationWebhookEvent = "sheets.success"
const ClassifyCreateRequestWebhookConfigurationWebhookEventSplitCancelled ClassifyCreateRequestWebhookConfigurationWebhookEvent = "split.cancelled"
const ClassifyCreateRequestWebhookConfigurationWebhookEventSplitError ClassifyCreateRequestWebhookConfigurationWebhookEvent = "split.error"
const ClassifyCreateRequestWebhookConfigurationWebhookEventSplitPending ClassifyCreateRequestWebhookConfigurationWebhookEvent = "split.pending"
const ClassifyCreateRequestWebhookConfigurationWebhookEventSplitProcessing ClassifyCreateRequestWebhookConfigurationWebhookEvent = "split.processing"
WebhookHeaders map[string, string]Optional
WebhookHeaders map[string, string]Optional
Custom HTTP headers sent with each webhook request (e.g. auth tokens)
WebhookSigningSecret stringOptional
WebhookSigningSecret stringOptional
Shared signing secret used to sign webhook deliveries. When set, each request includes an HMAC-SHA256 signature of the request body in the ‘LC-Signature’ header (value ‘sha256=